Update Investigation

This endpoint can be used to update an investigation by adding a new comment.

  1. If you update an already OPEN investigation, then a new comment is added to the ongoing investigations and the status of the investigation will remain as OPEN
  2. If you update an investigation that is CLOSED, then the new comment is added to that investigation and the status will change from CLOSED to OPEN.

Request

URL: /api/v1/investigation/:supportTicketId

Method: PUT

Example Request

{
  "description": "provide an update - refer email",
    "additionalDetails": {
        "orderingInstitution": {
            "name": "First Bank",
            "contactInfo": [
                {
                    "firstName": "Adam",
                    "lastName": "Bird",
                    "email": "[email protected]"
                }
            ]
        },
        "instructingInstitution": {
            "name": "Aspire Bank Ltd"
        },
        "userInfo": {
            "createdBy": {
                "contactInfo": {
                    "firstName": "John",
                    "lastName": "Scott",
                    "email": "[email protected]"
                }
            }
        }
    }
}

Response

The successful response will contain the details of the investigation including any previous comments and file details.

Example Response

HTTP Status: 200 OK

{
 	"clientId": "ABC Bank",
	"supportTicketId": "CS5100280091",
    "createdBy": "John Scott",
    "createdDate": "2025-05-21T11:07:12.066Z",
    "fxId": "1234567",
    "topic": "Modify",
    "reason": "Incorrect Value Date",
    "status": "OPEN",
    "orderingInstitutionName": "First Bank",
    "instructingInstitution": "Aspire Bank Ltd",
    "messages": [
        {
            "createdBy": "John Scott",
            "createdDate": "2025-05-21T11:07:12.066Z",
            "comment": "please look into the transaction",
            "attachments": [],
            "orderingInstitutionName": "First Bank",
            "instructingInstitution": "Aspire Bank Ltd"
        },
        {
            "createdBy": "John Scott",
            "createdDate": "2025-05-21T11:09:11.23Z",
            "comment": "provide an update - refer email",
            "attachments": [],
            "orderingInstitutionName": "First Bank",
            "instructingInstitution": "Aspire Bank Ltd"
        }
    ]
}

Error Scenario

When you do not provide any description in the API request, the endpoint will return an error.

{
    "type": "https://tools.ietf.org/html/rfc9110#section-15.5.1",
    "title": "One or more validation errors occurred.",
    "status": 400,
    "errors": {
        "Description": [
            "The Description field is required."
        ]
    },
    "traceId": "00-148dfb5814f5cfdf1e125e7c7c72a43e-54a25fc4f90a970f-00"
}
Path Params
string
required
Body Params
string | null
additionalDetails
object
Headers
string
string
enum
Defaults to application/json;odata.metadata=minimal;odata.streaming=true
Responses

500

Internal Server Error

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json;odata.metadata=minimal;odata.streaming=true
application/json;odata.metadata=minimal;odata.streaming=false
application/json;odata.metadata=minimal
application/json;odata.metadata=full;odata.streaming=true
application/json;odata.metadata=full;odata.streaming=false
application/json;odata.metadata=full
application/json;odata.metadata=none;odata.streaming=true
application/json;odata.metadata=none;odata.streaming=false
application/json;odata.metadata=none
application/json;odata.streaming=true
application/json;odata.streaming=false
application/json
application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=false
application/json;odata.metadata=minimal;odata.streaming=true;IEEE754Compatible=true
application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=false
application/json;odata.metadata=minimal;odata.streaming=false;IEEE754Compatible=true
application/json;odata.metadata=minimal;IEEE754Compatible=false
application/json;odata.metadata=minimal;IEEE754Compatible=true
application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=false
application/json;odata.metadata=full;odata.streaming=true;IEEE754Compatible=true
application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=false
application/json;odata.metadata=full;odata.streaming=false;IEEE754Compatible=true
application/json;odata.metadata=full;IEEE754Compatible=false
application/json;odata.metadata=full;IEEE754Compatible=true
application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=false
application/json;odata.metadata=none;odata.streaming=true;IEEE754Compatible=true
application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=true
application/json;odata.metadata=none;odata.streaming=false;IEEE754Compatible=false
application/json;odata.metadata=none;IEEE754Compatible=false
application/json;odata.metadata=none;IEEE754Compatible=true
application/json;odata.streaming=true;IEEE754Compatible=false
application/json;odata.streaming=true;IEEE754Compatible=true
application/json;odata.streaming=false;IEEE754Compatible=false
application/json;odata.streaming=false;IEEE754Compatible=true
application/json;IEEE754Compatible=false
application/json;IEEE754Compatible=true
text/plain
application/octet-stream
text/json